/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
;* File Name           : COMMON.H
;* Author              : MASSES  CHIP
;* Version             : V1.00
;* Date                : 2019/07/01
;********************************************************************************
;
;所有C文件的公用申明
;
;*******************************************************************************/
#ifndef __COMMON_H__
#define __COMMON_H__

#include "M8P626.h"
#include "MassesChip_Define.h"

//===============================================================================
//************************************函数申明***********************************
//===============================================================================
//=============================================================
//系统初始化
//=============================================================
void System_Init(void);

//=============================================================
//寄存器清零
//=============================================================
void Clr_RAM_00H_7FH(void); 

//=============================================================
//EEPROM写读程序
//=============================================================
void EEPROM_Write_Read(void);

//=============================================================
//中断初始化
//=============================================================
void Interrupt_INIT(void); 

//=============================================================
//写字节
//=============================================================
void EEPROM_Write_Byte(void); 

//=============================================================
//读操作
//=============================================================
void EEPROM_Read(void);   

//=============================================================
 //读字节
//=============================================================
void EEPROM_Read_Byte(void);                        



#endif
/*********************************END OF FILE************************************/   
