;*******************(C) COPYRIGHT 2019 Masses-Chip *******************************
;* File Name          : IO_INTERRUPT_INIT.INC
;* Author             : MASSES  CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;*********************************************************************************
;*********************************************************************************
;
;IO中断初始化
;
;*********************************************************************************
IO_INTERRUPT_INIT:
;//----------------------------------------------------
;//以IOB0口为例
;//1、端口设置
		BSET	   PUB,0			;//IOB0端口设置为上拉
		BCLR	   OEB,0			;//IOB0端口设置为输入	
;//---------------------------------------------------- 		
;//2、端口允许变化中断设置		
		BSET	   IOBICR,0  		;//IOB0口允许变化中断		
;//----------------------------------------------------   
;//3、中断使能	
		BSET       INTCR1,IOBCHIE	;//IOB口变化中断使能
		BCLR       INTF1,IOBCHIF		
		BSET	   OPTION,GIE      	;//总中断使能
		RETURN
		
;*********************************END OF FILE************************************ 