/*******************(C) COPYRIGHT 2019 Masses-Chip ******************************
*Project Name        : M8P626 PWM0 Demo
* File Name          : M8P626_PWM0.C
* Author             : MASSES CHIP
* Version            : V1.00
* Date               : 2019/07/01
;* Web    	         : www.masses-chip.com
;* FAE               : Luo
;  		             : QQ：411680975
*******************************************************************************
*
*Option:16M/16T,WDT-Enable-288ms,RST-IO,BOR 2.4V
*
******************************************************************************/
#include "Common.h"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void main(void)						//程序主函数
{
    System_Init();
    Clr_RAM_00H_7FH();
    PWM0_Init();
    while(1) 
    {
		__CLRWDT();             	//清除看门狗
    }
}
//===============================================================================
//******************************中断服务子程序***********************************
//******************注:没有使能的中断不要判断中断标志位**************************
//===============================================================================
void int_isr(void) __interrupt	 
{
	__PUSH();                 		//进栈（保存A, STATUS）
	
//中断处理函数	
	__NOP();
	
	__POP();                 		//出栈（恢复A, STATUS）
}
/*********************************END OF FILE************************************/
