;*******************(C) COPYRIGHT 2019 Masses-Chip***************************
;* Project  Name      : M8P626 PWM0 Demo
;* File Name          : M8P626_PWM0.ASM
;* Author             : MASSES CHIP
;* Version            : V1.00
;* Date               : 2019/07/01
;* Web    	          : www.masses-chip.com
;* FAE                : Luo
;  		              : QQ：411680975
;****************************************************************************
;
;Option:16M/16T,WDT-Enable-288ms,RST-IO,BOR 2.4V 
;
;****************************************************************************
		LIST 		P=M8P626		
INCLUDE	 	M8P626.INC
;******************************************************************************
;==============================CODE============================================
;******************************************************************************	
		ORG			0000H
		GOTO		MainProgram
		ORG			0008H
		;//GOTO		Interrupt
;******************************************************************************
;============================中断处理程序======================================
;====================注:没有使能的中断不要判断中断标志位=======================
;******************************************************************************					
Interrupt:
		PUSH				              ;//压栈,保存A,STATUS
;//中断处理程序
		NOP
Interrupt_End:
		POP					              ;//出栈，恢复A,STATUS
		RETIE					      		
;******************************************************************************
;=============================主程序===========================================
;******************************************************************************	
;//--------------------------程序初始化----------------------------------------	
MainProgram:
		CALL		System_Init           ;//系统初始化
		CALL		Clr_RAM_00H_7FH       ;//清零RAM
		CALL		PWM0_Init		      ;//PWM0初始化	
;//--------------------------主函数循环----------------------------------------
MainLoop:
        CLRWDT                            ;//清除看门狗
		GOTO		MainLoop
		
		
		
		
;******************************************************************************
;========================系统初始化============================================
;******************************************************************************
#INCLUDE	System_Init.INC				  ;//系统初始化
#INCLUDE	PWM0_Init.INC				  ;//PWM0初始化
;******************************************************************************
		END
;*********************************END OF FILE********************************** 
        